Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.notification
Class InvitationNotification

    java.lang.Object
      com.bea.apps.groupspace.notification.GroupSpaceNotification
          com.bea.apps.groupspace.notification.InvitationNotification

    public class InvitationNotification

extends GroupSpaceNotification

This class handles notifications that were created by invitations.

Although, invitation notifications do not have attributes that associate them with GroupSpaceNotifications, this class still extends GroupSpaceNotification for simplicity.

Field Summary
`static String` | `INVITATION_NAME`
`static String` | `INVITATION_NAMESPACE` Setting to NotificationInviationHelper invitation namespace for consistency.

Fields inherited from class com.bea.apps.groupspace.notification.GroupSpaceNotification
`debug, expirationDate, GROUPSPACE_NOTIFICATION_NAMESPACE, notification, notificationProps, PROP_IMPLEMENTATION_KEY, PROP_SEVERITY_KEY, PROP_SUBJECT_KEY, SEVERITY_SEV_HIGH, SEVERITY_SEV_NORMAL`

Constructor Summary
`InvitationNotification(Notification notification)` Overridden so that the payload will not get parsed into properties.

Method Summary
`protected String` | `getNotificationName()`
`protected String` | `getNotificationNamespace()` Must be implemented by concrete implementation so that we can construct the NotificationPayloadInfo.
`String` | `getNotificationSubject()` Overridden to simply return the body of the original payload.
`boolean` | `isValidNotification()`
`void` | `setNotificationSubject(String subject)` Overridden to do nothing because the invitation framework has no concept of subject.
`protected void` | `validateOnSend()`

Methods inherited from class com.bea.apps.groupspace.notification.GroupSpaceNotification
`getExpirationDate, getIsHighSeverity, getNotification, getNotificationAttribute, getNotificationAttribute, getNotificationSeverity, setExpirationDate, setNotificationAttribute, setNotificationSeverity, toNotificationPayloadInfo, toNotificationPayloadInfo, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INVITATION_NAMESPACE

    public static final String INVITATION_NAMESPACE

  Setting to NotificationInviationHelper invitation namespace for consistency.

  See Also
    Constants Summary

### INVITATION_NAME

    public static final String INVITATION_NAME

See Also
  Constants Summary

Constructor Detail

### InvitationNotification

    public InvitationNotification(Notification notification)

  Overridden so that the payload will not get parsed into properties.

Method Detail

### getNotificationSubject

    public String getNotificationSubject()

  Overridden to simply return the body of the original payload.

  Overrides:
    `getNotificationSubject` in class `GroupSpaceNotification`
  Returns

### setNotificationSubject

    public void setNotificationSubject(String subject)

  Overridden to do nothing because the invitation framework has no concept of subject.

  Overrides:
    `setNotificationSubject` in class `GroupSpaceNotification`

### getNotificationNamespace

    protected String getNotificationNamespace()

  Description copied from class: `GroupSpaceNotification`
  Must be implemented by concrete implementation so that we can construct the NotificationPayloadInfo. Override if you have a different namespace than this.

  Overrides:
    `getNotificationNamespace` in class `GroupSpaceNotification`

### getNotificationName

    protected String getNotificationName()

  Specified by:
    `getNotificationName` in class `GroupSpaceNotification`

### validateOnSend

    protected void validateOnSend()
                           throws MissingDataException

  Specified by:
    `validateOnSend` in class `GroupSpaceNotification`
  Throws
    `MissingDataException`

### isValidNotification

    public boolean isValidNotification()

  Overrides:
    `isValidNotification` in class `GroupSpaceNotification`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved